diff --git a/web/package.json b/web/package.json
index 2707b334..a4cb58d5 100644
--- a/web/package.json
+++ b/web/package.json
@@ -18,7 +18,7 @@
     "file-loader": "^0.11.2",
     "image-webpack-loader": "^3.3.1",
     "is-docker": "^1.1.0",
-    "jasmine-core": "~2.9.0",
+    "jasmine-core": "~3.1.0",
     "jasmine-enzyme": "~4.1.1",
     "karma": "~1.5.0",
     "karma-babel-preprocessor": "^6.0.1",
diff --git a/web/regression/javascript/gettext_spec.js b/web/regression/javascript/gettext_spec.js
index 3e027450..2ad9d87c 100644
--- a/web/regression/javascript/gettext_spec.js
+++ b/web/regression/javascript/gettext_spec.js
@@ -13,7 +13,8 @@ import translations from 'translations';
 describe('translate', function () {
   describe('when there is no translation', function () {
     it('returns the original string', function () {
-      expect(gettext('something to be translated')).toEqual('something to be translated');
+      expect(gettext('something else to be translated')).toEqual('something' +
+        ' else to be translated');
     });
 
     describe('when there are substitutions', function () {
diff --git a/web/yarn.lock b/web/yarn.lock
index 666a20e6..5e310d79 100644
--- a/web/yarn.lock
+++ b/web/yarn.lock
@@ -4267,9 +4267,9 @@ isurl@^1.0.0-alpha5:
     has-to-string-tag-x "^1.2.0"
     is-object "^1.0.1"
 
-jasmine-core@~2.9.0:
-  version "2.9.1"
-  resolved "https://registry.yarnpkg.com/jasmine-core/-/jasmine-core-2.9.1.tgz#b6bbc1d8e65250d56f5888461705ebeeeb88f22f"
+jasmine-core@~3.1.0:
+  version "3.1.0"
+  resolved "https://registry.yarnpkg.com/jasmine-core/-/jasmine-core-3.1.0.tgz#a4785e135d5df65024dfc9224953df585bd2766c"
 
 jasmine-enzyme@~4.1.1:
   version "4.1.1"
